#include "MenuTextUp_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextUp_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextUp_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_up;
}

std::shared_ptr<Entity> CreateMenuTextUp_Player1Keyboard()
{
	return std::make_shared<MenuTextUp_Player1Keyboard>();
}


